using System;
using System.Web;
using System.Web.Profile;
using System.Web.SessionState;
using System.Web.UI;
using System.Xml;
using TaoBaoAPI;


namespace TaoHuoNet
{
    public partial class GoBuy : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (base.Request["iid"] != null)
            {
                string iid = base.Request["iid"];
                XmlNode xmlNode = TaoBaoKe.GetItemsConvert(iid);
                if (xmlNode != null)
                {
                    base.Response.Redirect(xmlNode["click_url"].InnerText);
                }
                else
                {
                    base.Response.Redirect("/");
                }
            }
        }
    }
}
